Bug 419661 - Enable IOWarrior Kernel Module
Enable IOWarrior Kernel Module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 07:39 EST by Tim Niemueller
Modified: 2008-02-07 15:56 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.14-115.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:56:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2007-12-11 07:39:35 EST
Description of problem:
IOWarrior is not enabled by default in Fedora kernels. Is there a specific
reason for this? Otherwise I'd ask for enabling it as a module as it would make
life a lot easier and the libiowkit could be build and put into the repository.

Version-Release number of selected component (if applicable):
kernel-2.6.23.8-63.fc8

Additional info:
The driver is *not* marked as development or experimental driver and we are
using it for quite some time now. I can't see why this shouldn't be built as a
module.
Comment 1 Chuck Ebbert 2007-12-11 16:54:13 EST
Enabled in Fedora 8 (2.6.23.9-88) and rawhide.
Comment 2 Tim Niemueller 2007-12-12 07:54:31 EST
Great! I have contacted Codemercs. They do not have any licensing information
about the accompanying library. As soon as this is made clear I'll package the
libiowkit (actually I did already, but I'll wait with the review request).
Comment 3 Fedora Update System 2008-01-15 17:55:58 EST
kernel-2.6.23.13-105.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 4 Tim Niemueller 2008-01-19 05:15:32 EST
I'm going to test this on Monday in the lab where I have the hardware.
Comment 5 Fedora Update System 2008-01-24 17:01:23 EST
kernel-2.6.23.14-115.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 6 Fedora Update System 2008-02-07 15:56:24 EST
kernel-2.6.23.14-115.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.